import moment from 'moment';

export const processedData = (dataArray, hour_size) => {
  let setData = dataArray.map(event => {
    event.height =
      moment(event?.endTime)?.diff(moment(event?.startTime), 'hours', true) *
      hour_size;
    return event;
  });
  setData.sort((a, b) => moment(a.start) - moment(b.start));
  return setData;
};
