import moment from 'moment';
import processedRows from './processedRows';

const todayData = (dataArray, date, resources) => {
  if (!dataArray) {
    return [];
  }
  const today = dataArray.filter(event =>
    moment(event?.startTime).isSame(date, 'day'),
  );
  return processedRows(today, resources);
};

export default todayData;
