export const buildCalender = value => {
  const startDay = value.clone().startOf('month');
  const endDay = value.clone().endOf('month');
  const day = startDay.clone().subtract(1, 'day');
  const calender = [];
  while (day.isBefore(endDay, 'day')) {
    calender.push(day.add(1, 'day').clone());
  }
  return calender;
};

export const buildHours = value => {
  const startDay = value.clone().startOf('day');
  const endDay = value.clone().endOf('day');
  const day = startDay.clone().subtract(1, 'hour');
  const calender = [];
  while (day.isBefore(endDay, 'hour')) {
    calender.push(day.add(1, 'hour').clone());
  }
  return calender;
};
